> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeeg.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Single-Use Scheduling Link

> Generate a one-time-use scheduling link for a scheduling page so that only one invitee can book before the link expires.



## OpenAPI

````yaml GET /event-types/{uuid}/single-use-link
openapi: 3.0.0
info:
  title: Zeeg Public API
  description: >-
    Zeeg public API documentation.


    ## Authentication

    All endpoints require a Bearer token. You can generate an API token from
    [your Zeeg dashboard](https://app.zeeg.me/account/settings/api-access).


    Each token is scoped to specific permissions (e.g. `events:read`,
    `webhooks:write`). Make sure your token has the required scopes for the
    endpoints you want to use.


    ## Recommended Headers

    We recommend including the `Accept: application/json` header in all API
    requests to ensure you receive JSON responses.
  version: 2.0.0
  x-logo:
    url: https://app.zeeg.me/img/logo-dark.2ca83593.svg
    backgroundColor: '#f7f7f9'
    altText: zeeg
  contact:
    name: Zeeg Support
    email: support@zeeg.me
    url: https://zeeg.me/en/contact
  license:
    name: Proprietary
    url: https://zeeg.me/en/legal/terms
  termsOfService: https://zeeg.me/en/legal/terms
servers:
  - url: https://api.zeeg.me/v2
    description: Production
security:
  - bearer: []
tags:
  - name: Scheduled Events
    description: Management of events scheduled via Zeeg
  - name: Scheduling Pages
    description: Scheduling pages information and management
  - name: Availability Schedule
    description: Read and change availability for users
  - name: Webhooks
    description: Webhooks management
  - name: Notes
    description: Notes for scheduled events
  - name: Workspaces & Teams
    description: Workspace users and team member management
  - name: AI Agent
    description: AI Agent integration endpoints
  - name: Payloads
    description: Webhook payload schemas
  - name: CRM - Objects
    description: >-
      Discover the schema of CRM objects (standard and custom) including all
      attribute definitions
  - name: CRM - Companies
    description: Create, read, update, and delete CRM company records
  - name: CRM - People
    description: Create, read, update, and delete CRM person records
paths:
  /event-types/{uuid}/single-use-link:
    parameters:
      - schema:
          type: string
          format: uuid
        name: uuid
        in: path
        required: true
        description: UUID of the scheduling page
    get:
      tags:
        - Scheduling Pages
      summary: Get a single-use scheduling link
      description: >-
        Generates and returns a single-use scheduling link for a specific
        scheduling page.


        A single-use link can only be used once by an invitee to book a meeting.
        After the booking is made, the link becomes invalid. This is useful for
        sending unique booking links to specific invitees, ensuring each link is
        used only once.
      operationId: get-api-event-type-id-single-use-link
      parameters:
        - schema:
            type: number
          in: query
          name: price
          description: >-
            If you have enabled payments for a scheduling page, you can assign a
            price when generating a single-use scheduling link to override the
            default price. This is helpful when you want to offer a paid event
            at a discounted price or completely for free. If your scheduling
            page has multiple durations, please note that the price override
            applies to all durations.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  link:
                    type: string
                    format: uri
                  eventTypeUri:
                    type: string
                    format: uri
              examples:
                Single-use link generated:
                  value:
                    success: true
                    link: https://zeeg.me/S/axo3kbv54/30min-discovery-call
                    eventTypeUri: >-
                      https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              examples:
                Scheduling page not found:
                  value:
                    error: Entry for EventType not found
      security:
        - bearer: []
components:
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
          examples:
            Unauthenticated:
              value:
                message: Unauthenticated.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: ''

````